package com.test;

import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;

@Path("auth")
public class AuthService {

    @Context
    private HttpServletRequest request;

    @GET
    public Response auth() {
        if (request.getUserPrincipal() == null) {
            return Response.status(Response.Status.UNAUTHORIZED).build();
        }
        return Response.ok(request.getUserPrincipal().getName()).build();
    }

}
